﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using System;

public class PlayerController : MonoBehaviour {

	public float speed=800.0f; //public in order to see/update it in the Inspector
	public Text scoreText, winText;
	private int count=0;

	private Rigidbody rb;

	void Start ()
	{
		//Debug.Log("PlayerController started.");
		rb = GetComponent<Rigidbody>();
		winText.text = "";
	}

	void Update () 										//Infinite loop while we are in play mode
	{
	}

	void FixedUpdate () 										//Infinite loop while we are in play mode
	{
		float moveHorizontal = Input.GetAxis ("Horizontal"); 	//Left-Right input stored as float between -1.0 and 1.0
		float moveVertical = Input.GetAxis ("Vertical"); 		//Down-Up input stored as float between -1.0 and 1.0

		Vector3 movement = new Vector3 (moveHorizontal, 0.0f, moveVertical); //direction as a sum of both input values

		rb.AddForce (movement * speed * Time.deltaTime); 		// Applies for in desired direction. Force is applied continuously along the direction of the force vector. 
																//Specifying the ForceMode mode allows the type of force to be changed to an Acceleration, Impulse or Velocity Change. 
																//Force can be applied only to an active Rigidbody. If a GameObject is inactive, AddForce has no effect.
		//Debug.Log("FixedUpdate: " + movement * speed * Time.deltaTime);
	}

	void OnTriggerEnter(Collider other)
	{						//When the ball enters a Trigger Collider
		//Debug.Log("The object tag is: " + other.gameObject.tag);

		if (other.gameObject.tag == "PickUp") {					//checks if the object that was entered has a tag named PickUp
			other.gameObject.SetActive(false);					//then hide it!!
			count += 1;
			scoreText.text = "Score: " + count;
			if (count >= 16) {
				winText.text = "You won!";
			}
		}
	}
}
